#
# spec file for package python-moban
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-moban
Version:        0.3.8
Release:        2.1
Summary:        Yet another jinja2 CLI for static text generation
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/moremoban/moban
Source:         https://files.pythonhosted.org/packages/source/m/moban/moban-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pip}
BuildRequires:  git-core
# Package dependencies
BuildRequires:  %{python_module Jinja2 >= 2.8}
BuildRequires:  %{python_module crayons >= 0.1.2}
BuildRequires:  %{python_module lml >= 0.0.7}
BuildRequires:  %{python_module ruamel.yaml >= 0.15.80}
# /SECTION
BuildRequires:  fdupes
BuildArch:      noarch
Requires:       git-core
Requires:       python-Jinja2 >= 2.8
Requires:       python-crayons >= 0.1.2
Requires:       python-lml >= 0.0.7
Requires:       python-ruamel.yaml >= 0.15.80

%python_subpackages

%description
moban (模板) is yet another jinja2 CLI for static text generation.

moban brings the template engine (JINJA2) for web into static text
generation. It is used in the pyexcel project to keep documentation
consistent across the documentations of individual libraries.

%prep
%setup -q -n moban-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_level_9 depends on package pypi-mobans-pkg
# test_level_10 depends on access to github.com
# test_level_11 depends on moban-handlebars
%python_exec %{_bindir}/nosetests --with-doctest --doctest-extension=.rst -e 'test_level_(9|10|11)' README.rst tests docs moban

%files %{python_files}
%{python_sitelib}/*
%license LICENSE
%doc README.rst CHANGELOG.rst
%python3_only %{_bindir}/moban

%changelog
* Thu Jan 17 2019 jengelh@inai.de
- Trim bias from description. Fix grammar.
* Mon Jan 14 2019 jayvdb@gmail.com
- Remove base_engine.py workaround
- Removed build dependency on moban-handlebars
- Update to v0.3.8
  - Allow template literals as positional arguments
  - Report changes in non-zero exit code only with --exit-code
  - Disables file permissions copy feature on Windows
* Wed Jan  9 2019 jayvdb@gmail.com
- Fill base_engine.py instead of deleting it.
* Tue Jan  8 2019 jayvdb@gmail.com
- Trim description and add %%check
* Mon Jan  7 2019 jayvdb@gmail.com
- Update to v0.3.7
  - Simplified CLI usage
  - Source tarball includes docs and tests
* Tue Jan  1 2019 jayvdb@gmail.com
- Update to v0.3.6
  - Improved Windows support
  - Gracefully skip entries encountering write permission errors.
* Mon Dec 17 2018 jayvdb@gmail.com
- Update to v0.3.5
  - Switched from PyYAML to ruamel.yaml
  - Improved error reporting for YAML syntax errors.
* Tue Nov 27 2018 jayvdb@gmail.com
- Initial revision for v0.3.4
